import { request } from 'umi';

/** 设备类型列表  */
export async function GetDeviceVesionPage(data) {
     return request(`/kitchen/api/DeviceVesion/GetDeviceVesionPage`, {
      method: 'POST',
      data: data,
    });
  }
    /** 添加设备类型  */
export async function AddDeviceVesion(data) {
    return request(`/kitchen/api/DeviceVesion/AddDeviceVesion`, {
     method: 'POST',
     data: data,
     // params: { ...params },
     // ...(options || {}),
   });
 }

   /** 删除设备类型  */
export async function DelDeviceVesion(data) {
    return request(`​/kitchen/api/DeviceVesion/DelDeviceVesion`, {
     method: 'POST',
     data: data,
   });
 }

   /** 修改设备类型  */
export async function UpdateDeviceVesion(data) {
    return request(`​/kitchen/api/DeviceVesion/UpdateDeviceVesion`, {
     method: 'POST',
     data: data,
   });
 }
 /**获取设备类型 */
export async function GetDicList(TypeCode) {
    return request(`/kitchen/api/dict-data/dic-list/${TypeCode}`, {
      method: 'Get',
    });
  }

  export async function GetCosRequestURL(data) {
    return request(`/kitchen/api/systemconfig/GetCosRequestSignURL`, {
     method: 'POST',
     data: data,
   });
  }